/*
 * err_recovery.h
 *
 *  Created on: 12-Sep-2023
 *      Author: Invcuser52
 */

#ifndef EXO_FW_ERR_HANDLER_INC_ERR_RECOVERY_H_
#define EXO_FW_ERR_HANDLER_INC_ERR_RECOVERY_H_

#include "err_handler.h"

uint8_t ahw_rcvry_hdlr_mcp9843_obc(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_mcp9843_ps(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_mcp9843_edge(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_mcp9843_gps(uint8_t rcvry_mode);
//uint8_t ahw_rcvry_hdlr_extmem_qspi_m25l512(uint8_t rcvry_mode);
//uint8_t ahw_rcvry_hdlr_extmem_fmc_mt28ew(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_ina230_obc(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_ina230_ps(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_ds620_ps(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_ds620_edge(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_adm1176_edge(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_adm1176_ps_1(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_adm1176_ps_2(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_thruster_morpheus_obc(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_mcp9843_SPE01(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_mcp9843_SPE02(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_mcp9843_SPW01(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_mcp9843_SPW02(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_mcp9843_SPB01(uint8_t rcvry_mode);
uint8_t ahw_gpio_expander_mcp23008_edge_1(uint8_t rcvry_mode);
uint8_t ahw_gpio_expander_mcp23008_edge_2(uint8_t rcvry_mode);
uint8_t ahw_gpio_expander_mcp23008_obc_1(uint8_t rcvry_mode);
uint8_t ahw_gpio_expander_mcp23008_obc_2(uint8_t rcvry_mode);
uint8_t ahw_gpio_expander_mcp23008_gps(uint8_t rcvry_mode);
uint8_t eps_rcvry_hdlr_com_fail(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_norflash_fmc_mt28ew(uint8_t rcvry_mode);
uint8_t ahw_rcvry_hdlr_norflash_qspi_mt25ql(uint8_t rcvry_mode);
uint8_t err_rcvry_hdlr_always_fail_cblk(uint8_t rcvry_mode);






#endif /* EXO_FW_ERR_HANDLER_INC_ERR_RECOVERY_H_ */
